import { RowsPerPageOptionsStyle } from '../../../../types/pagination';
import { StatefulCSS } from '../../../../types/cssStyle';
import { ActiveTable } from '../../../../activeTable';
export declare class RowsPerPageSelectButtonElement {
    private static readonly BUTTON_ID;
    private static readonly ARROW_CONTAINER_ID;
    private static readonly ARROW_ICON_ID;
    private static readonly TEXT_ID;
    private static applyStyle;
    static applyStylesOnElements(button: HTMLElement, cssState: keyof StatefulCSS, rowsPerPageSelect?: RowsPerPageOptionsStyle): void;
    private static processStatefulStyle;
    private static processAndApplyDefaultStyle;
    private static createButtonArrow;
    static updateButtonText(optionsButton: HTMLElement, rowsPerPage: string): void;
    private static createButtonText;
    private static createOptionsButton;
    static create(at: ActiveTable): HTMLDivElement;
}
//# sourceMappingURL=rowsPerPageSelectButtonElement.d.ts.map