import { NoContentStubElement } from './noContentStubElement';
// IMPORTANT - this should not be executed in a timeout as it would cause a stutter on the UI
// REF-18
export class ToggleAdditionElements {
    static update(at, isInsert, toggleWhenContent) {
        if (at.content.length === 0 || at._columnsDetails.length === 0) {
            NoContentStubElement.display(at);
        }
        else {
            toggleWhenContent(at, isInsert);
        }
    }
}
//# sourceMappingURL=toggleAdditionElements.js.map