import { FilterInternalUtils } from '../outerTableComponents/filter/rows/filterInternalUtils';
import { VisibilityUtils } from '../outerTableComponents/filter/filterInternalUtils';
import { ColumnSettingsUtils } from '../columnSettings/columnSettingsUtils';
export class HeaderText {
    static onAttemptChange(at, cellElement, columnIndex, event) {
        if (!(event === null || event === void 0 ? void 0 : event.colRemove)) {
            ColumnSettingsUtils.changeColumnSettingsIfNameDifferent(at, cellElement, columnIndex, event === null || event === void 0 ? void 0 : event.colMove);
        }
        if (at._visiblityInternal.rows) {
            if (FilterInternalUtils.wasHeaderChanged(at._columnsDetails, at._visiblityInternal.rows, columnIndex)) {
                VisibilityUtils.headerChanged(at);
            }
        }
    }
}
//# sourceMappingURL=headerText.js.map